import { useAtom } from 'jotai';
import { AssignUpdatePayload, CreateReturnPayload, SelectDateType } from './types';
import dayjs from 'dayjs';
export declare const filtersInitialValue: {
    date: {
        startDate: undefined;
        endDate: undefined;
    };
};
export declare const CreateReturnInitial: {
    customer_id: number;
    account_number: string;
    return_location_token: string;
    products: never[];
    return_action: never[];
};
export declare const AssignUpdateInitial: {
    return_order_id: number;
    bjs_delivery: boolean;
};
export declare const triggerApiCallAtom: import("jotai/esm/").PrimitiveAtom<boolean> & {
    init: boolean;
};
export declare function useSubContracterData(): [any, (args_0: any) => void];
declare function useReminderData(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useRowDeliveredCount(): [number, (args_0: number | ((prev: number) => number)) => void];
declare function useRowCollectedCount(): [number, (args_0: number | ((prev: number) => number)) => void];
declare function useFilter(): [SelectDateType, (args_0: SelectDateType | ((prev: SelectDateType) => SelectDateType)) => void];
declare function useStaticData(): [any, (args_0: any) => void];
declare function useInQueueData(): [any, (args_0: any) => void];
declare function useEmailInvoice(): [any, (args_0: any) => void];
declare function useSelectedOrders(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useSelectedClientPortOrders(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useSelectedClientAfterOrders(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useStartDate(): [dayjs.Dayjs | null, (args_0: dayjs.Dayjs | ((prev: dayjs.Dayjs | null) => dayjs.Dayjs | null) | null) => void];
declare function useEndDate(): [dayjs.Dayjs | null, (args_0: dayjs.Dayjs | ((prev: dayjs.Dayjs | null) => dayjs.Dayjs | null) | null) => void];
export declare const useStickyStatus: () => [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
export declare const useSearchText: () => [any, (args_0: any) => void];
export declare const useSearchAfterText: () => [any, (args_0: any) => void];
export declare function useClientOutstandingReturnData(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
export declare function useReturnConfirmedOrderData(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
export declare function useStatsCPCount(): [any, (args_0: any) => void];
declare function useCustomerData(): [any, (args_0: any) => void];
declare function useActionType(): [any, (args_0: any) => void];
declare function useLocationData(): [any, (args_0: any) => void];
declare function useReturnPayload(): [CreateReturnPayload, (args_0: CreateReturnPayload | ((prev: CreateReturnPayload) => CreateReturnPayload)) => void];
declare function useNewReturnPayload(): [any, (args_0: any) => void];
declare function useGroupedPayload(): [any, (args_0: any) => void];
declare function useStatusOrderData(): [any, (args_0: any) => void];
declare function useSelectedConfirmLoc(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useSelectAll(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
declare function usePostLoading(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
declare function useFinalPayload(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useClearState(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
declare function useAssignData(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useVisibilityData(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useAssignPayload(): [AssignUpdatePayload, (args_0: AssignUpdatePayload | ((prev: AssignUpdatePayload) => AssignUpdatePayload)) => void];
declare function useCallApiAgain(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
declare function useActionTypeOptions(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useLocationOptions(): [any[], (args_0: any[] | ((prev: any[]) => any[])) => void];
declare function useSelectedProducts(): [any, (args_0: any) => void];
export declare function useSelectedData(): [any, (args_0: any) => void];
export declare function useNewReturnOrderData(): [any, (args_0: any) => void];
declare function useClientPortal(): [boolean, (args_0: boolean | ((prev: boolean) => boolean)) => void];
export declare const useActiveCardId: () => [number, (args_0: number | ((prev: number) => number)) => void];
export { useAtom, useFilter, useStaticData, useRowCollectedCount, useRowDeliveredCount, useReminderData, useInQueueData, useEmailInvoice, useCustomerData, useActionType, useLocationData, useSelectedOrders, useReturnPayload, useNewReturnPayload, useGroupedPayload, useStatusOrderData, useSelectedConfirmLoc, useSelectAll, usePostLoading, useFinalPayload, useClearState, useAssignData, useAssignPayload, useCallApiAgain, useActionTypeOptions, useLocationOptions, useSelectedProducts, useVisibilityData, useClientPortal, useSelectedClientPortOrders, useStartDate, useEndDate, useSelectedClientAfterOrders, };
